# Describe segments

Inspect segment information for a collection ID or specific segment IDs.

SDK: `@zilliz/milvus2-sdk-node@3.0.10` · Tested with Milvus 3.0.6

Canonical documentation: https://milvus-io.github.io/milvus-sdk-node/rest-api/diagnostics/segments/describe/

## Section links

- [cURL command](https://milvus-io.github.io/milvus-sdk-node/rest-api/diagnostics/segments/describe/#curl-command)
- [Default request](https://milvus-io.github.io/milvus-sdk-node/rest-api/diagnostics/segments/describe/#default-request)
- [Sample response](https://milvus-io.github.io/milvus-sdk-node/rest-api/diagnostics/segments/describe/#sample-response)
- [Request fields](https://milvus-io.github.io/milvus-sdk-node/rest-api/diagnostics/segments/describe/#request-fields)

`POST /v2/vectordb/segments/describe`

Replace `https://your-cluster.example.com` with your Milvus endpoint. Set `MILVUS_TOKEN` for authentication or omit the Authorization header on an unauthenticated cluster.

## cURL command

```bash
curl --request POST --url 'https://your-cluster.example.com/v2/vectordb/segments/describe' \
  --header 'Content-Type: application/json' \
  --header "Authorization: Bearer ${MILVUS_TOKEN}" \
  --data-raw '{
  "dbName": "default",
  "collectionID": 123456789,
  "segmentIDs": [
    123456791
  ]
}'
```

## Default request

```json
{
  "dbName": "default",
  "collectionID": 123456789,
  "segmentIDs": [
    123456791
  ]
}
```

## Sample response

```json
{
  "code": 0,
  "data": {
    "segmentInfos": [
      {
        "segmentID": 123456791,
        "collectionID": 123456789,
        "partitionID": 123456790,
        "vChannel": "by-dev-rootcoord-dml_0_123456789v0",
        "numRows": 1,
        "state": 4,
        "level": 2,
        "isSorted": true,
        "insertLogs": [
          {
            "fieldID": 100,
            "logIDs": [
              123456792
            ]
          }
        ],
        "deltaLogs": [],
        "statsLogs": [
          {
            "fieldID": 100,
            "logIDs": [
              123456793
            ]
          }
        ]
      }
    ]
  }
}
```

## Request fields

- `dbName` string
  Database name. Operations on collections use default when omitted.
- `collectionID` integer
  Internal collection ID from the collection description.
- `segmentIDs` array of integer
  List of internal segment IDs.

See [`HttpClient.getSegmentsInfo`](https://milvus-io.github.io/milvus-sdk-node/api-reference/http-client/#getsegmentsinfo) for the Node.js SDK method.
